Can i simply download the 3.5.1 plugins for IDM and install them?

Or is that not a good idea to use 3.5.1 plugins against a 3.5.0 system?